<div class="d-block w-100 h-100">
    <table class="table table-bordered" *ngIf="hasHeaders()">
        <thead>
            <tr>
                <th *ngFor="let header of headers">{{ header }}</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let item of items">
                <ng-container *ngFor="let key of headers;">
                    <td>{{ isObject(item[key]) ? (item[key] | json) : item[key] }}</td>
                </ng-container>
            </tr>
        </tbody>
    </table>
    <p class="position-absolute w-100 text-center" style="top: 50%;" *ngIf="!hasHeaders()">No Data to display. Try to query your data provider.</p>
</div>
